<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Sleeve](./bitburner.sleeve.md) &gt; [purchaseSleeveAug](./bitburner.sleeve.purchasesleeveaug.md)

## Sleeve.purchaseSleeveAug() method

Purchase an aug for a sleeve.

**Signature:**

```typescript
purchaseSleeveAug(sleeveNumber: number, augName: string): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  sleeveNumber | number | Index of the sleeve to buy an aug for. |
|  augName | string | Name of the aug to buy. Must be an exact match. |

**Returns:**

boolean

True if the aug was purchased and installed on the sleeve, false otherwise.

## Remarks

RAM cost: 4 GB

Return true if the aug was purchased and installed on the sleeve.

